Square payment module

Square payment module
Easily accept online payments with the Square payment module for your nopCommerce website.
2021-04-04T10:27:43.4831489Z
Free
Get extension (2015 Downloads)
Supported versions: 3.90
Created: March 15,2018
Last updated: January 14,2020
Description

Easily accept online payments with the Square payment module for your nopCommerce website. Get your deposits as fast as the next business day. From PCI compliance to dispute support, Square handles the details of your business securely. Install the official Square nopCommerce integration built by nopCommerce today.

Features:

  • Quick module installation - The Square module is pre-loaded in the nopCommerce core. Simply go to Admin > Configure > Payment Methods and configure the Square module in a few minutes.
  • Transparent pricing - Pay 2.9% + $0.30 per online transaction for any card, including American Express. Contact the Square sales team about custom rates if your annual revenues are over $250K.
  • No long-term commitments - There are no long-term commitments, hidden fees, or surprises.You only pay when you make a sale.
  • Fast deposits - Get your money in your bank account as soon as the next business day.
  • PCI compliance - Square maintains PCI-compliance standards on the merchant's behalf at no cost.
  • Accept every way your customers want to pay - Sell online and in person, and see all your sales in one place.
  • Extension available for US and Canada businesses - More locations coming soon!

Installation instructions:

  1. Download the plugin archive.
  2. Go to admin area > configuration > local plugins.
  3. Upload the plugin archive using the "Upload plugin or theme" plugin.
  4. Scroll down through the list of plugins to find the newly installed plugin. And click on the "Install" button to install the plugin.

Please find more informartion about how to install plugins here.

Source code:

The plugin is provided absolutely for free and includes source code.

The latest versions:

This plugin page exists only for version 3.90. The plugin is available out of the box in nopCommerce starting version 4.00